# ===--- WorldEdit CUI Forge Edition 3 ----------------------------------------------------------------------------=== #
#
#    A client-side user interface for the WorldEdit
#
# ===------------------------------------------------------------------------------------------------ © Hexosse ---=== #


enable: true

# Cui renderer
cui:
  enable: true
  # Cuboid renderer
  cuboid:
    firstPoint:
      mainColor: '0xAA_00_AA_00'
      outerColor: '0x50_00_AA_00'
      width: 1.8
    secondPoint:
      mainColor: '0xAA_00_00_AA'
      outerColor: '0x50_00_00_AA'
      width: 1.8
    grid:
      color: '0x5A_F5_00_00'
      width: 1.4
    edge:
      color: '0xAA_F5_00_00'
      width: 1.8
  # Cylinder renderer
  cylinder:
    center:
      mainColor: '0xAA_AA_00_AA'
      outerColor: '0x50_AA_00_AA'
      width: 1.8
    top:
      color: '0x50_00_AA_00'
      width: 1.8
    middle:
      color: '0x50_F5_00_00'
      width: 1.4
    bottom:
      color: '0x50_00_00_AA'
      width: 1.8
  # Ellipsoid renderer
  ellipsoid:
    main:
      color: '0x50_F5_00_00'
      width: 1.4
    center:
      mainColor: '0xAA_AA_00_AA'
      outerColor: '0x50_AA_00_AA'
      width: 1.8
    radx:
      mainColor: '0xAA_AA_00_AA'
      outerColor: '0x50_AA_00_AA'
      width: 1.8
    rady:
      mainColor: '0xAA_AA_00_AA'
      outerColor: '0x50_AA_00_AA'
      width: 1.8
    radz:
      mainColor: '0xAA_AA_00_AA'
      outerColor: '0x50_AA_00_AA'
      width: 1.8
  # Convex renderer
  convex:
    main:
      mainColor: '0xAA_00_AA_00'
      outerColor: '0x50_00_AA_00'
      width: 1.8
    secondary:
      color: '0xD2_00_AA_AA'
      width: 1.8
    line:
      color: '0xAA_AA_2F_88'
      width: 1.8
  # Polygon renderer
  polygon:
    main:
      color: '0xB4_28_FF_F0'
      width: 1.8
    grid:
      color: '0x50_F5_00_00'
      width: 1.0

# Chunk renderer
chunk:
  enable: true
  mode: 'OFF'
  chunk:
    color: '0x80_FF_00_00'
    width: 1.0
  grid:
    color: '0x80_FF_FF_00'
    width: 1.0
  height:
    color: '0x80_40_40_FF'
    width: 1.0

# Distance renderer
distance:
  enable: false
  mode: 'OFF'
  color: '0xFF_FF_AA_00'
